Bug 166104 - Saveas causing crash in OOimpress
Saveas causing crash in OOimpress
Status: CLOSED DUPLICATE of bug 165712
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 18:51 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 04:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2005-08-16 18:51:22 EDT
Description of problem:
If I import an .pot file and click on file->save as, OOImpress dies

Version-Release number of selected component (if applicable):
1.9.124

How reproducible:
Always

Steps to Reproduce:
1. Double click on a .pot file
2. File->save as
3.
  
Actual results:
OOImpress generates the following throwback

0xf74b8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0xf753d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0xe04420:  + 0x420 (__kernel_sigreturn + 0x0)
0x747a550: /usr/lib/libgtk-x11-2.0.so.0 + 0xd5550
0x74689ef: /usr/lib/libgtk-x11-2.0.so.0 + 0xc39ef
0x747ea06: /usr/lib/libgtk-x11-2.0.so.0 + 0xd9a06
0x74689ef: /usr/lib/libgtk-x11-2.0.so.0 + 0xc39ef
0x747ea06: /usr/lib/libgtk-x11-2.0.so.0 + 0xd9a06
0x74689ef: /usr/lib/libgtk-x11-2.0.so.0 + 0xc39ef
0x7468ff3: /usr/lib/libgtk-x11-2.0.so.0 + 0xc3ff3
(gtk_file_chooser_set_current_folder_uri + 0x7a)
0x3839dfd: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x7dfd
0x383a96b: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0x896b
0x232c9c9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c69c9
0x232e9c0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c89c0
(sfx2::FileDialogHelper::SetDisplayDirectory(String const&) + 0xe6)
0x22bf2a1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1592a1
0x22c1334: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15b334
0x228ccfc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x126cfc
0x228e266: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x128266
0x22fd0ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1970ba
0x22fc4a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1964a7
0x22fc998: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x196998
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x2305b8b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19fb8b
0x22f4451: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18e451
0x22f4869: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18e869
0x2ab5cf1: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa8cf1
0x2ab5d7c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa8d7c
0x18b842: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a842
0x29b8f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18a8f6
(Menu::Select() + 0x3c)
0x296369: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x185369
0x29637c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18537c
0x18b842: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a842
0x2e05fb: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf5fb
0x58e9e72: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ee72
0x590f0cd: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x440cd
(SalDisplay::DispatchInternalEvent() + 0xad)
0x1136a73: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xaa73
0x5feac3e: /usr/lib/libglib-2.0.so.0 + 0x26c3e
0x5fe89ce: /usr/lib/libglib-2.0.so.0 + 0x249ce (g_main_context_dispatch + 0x1dc)
0x5feb9e6: /usr/lib/libglib-2.0.so.0 + 0x279e6
0x5febec8: /usr/lib/libglib-2.0.so.0 + 0x27ec8 (g_main_context_iteration + 0x66)
0x1136699: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa699
0x5910d99: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45d99
(X11SalInstance::Yield(unsigned char) + 0x29)
0x191ba4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ba4
(Application::Yield() + 0x50)
0x191be2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80be2
(Application::Execute() + 0x26)
0x80656ac: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1d6ac
(desktop::Desktop::Main() + 0x149a)
0x196fd1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x85fd1 (SVMain()
+ 0x45)
0x806075f: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1875f (sal_main +
0x47)
0x28f749f: /lib/libc.so.6 + 0x1549f (__libc_start_main + 0xdf)
0x8060695: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18695
(Window::RequestHelp(HelpEvent const&) + 0x31)

Expected results:
I should be able to save as an OOo template

Additional info:
Comment 1 Caolan McNamara 2005-08-17 04:08:33 EDT

*** This bug has been marked as a duplicate of 165712 ***

Note You need to log in before you can comment on or make changes to this bug.